# $Revision: 1.26.2.2 $, $Date: 2003/04/28 12:51:52 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Math
%define	pnam	TrulyRandom
Summary:	TrulyRandom - Perl interface to a truly random number generator function
Summary(pl):	TrulyRandom - interfejs do generatora liczb naprawd losowych
Name:		perl-Math-TrulyRandom
Version:	1.0
Release:	10
License:	distributable
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The TrulyRandom module provides an ability to generate truly random
numbers from within Perl programs. The source of the randomness is
from interrupt timing discrepancies.

%description -l pl
Modu TrulyRandom pozwala na generowanie w programach perlowych liczb
naprawd losowych. rdem losowoci s rozbienoci w czasach
przerwa.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README examples/example_1.pl
%{perl_sitearch}/Math/TrulyRandom.pm
%dir %{perl_sitearch}/auto/Math/TrulyRandom
%{perl_sitearch}/auto/Math/TrulyRandom/TrulyRandom.bs
%attr(755,root,root) %{perl_sitearch}/auto/Math/TrulyRandom/TrulyRandom.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Math-TrulyRandom.spec,v $
Revision 1.26.2.2  2003/04/28 12:51:52  ankry
- really rel++

Revision 1.26.2.1  2003/03/13 00:58:08  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.26  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.25  2003/02/18 15:36:51  ankry
- massive attack: change CPAN URLs

Revision 1.24  2002/08/16 18:54:40  qboosh
- pl description, release++

Revision 1.23  2002/08/11 19:36:48  radek
- release up

Revision 1.22  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.21  2002/07/10 08:48:04  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:32:54  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:18:32  depesz
automatic: Source location unfied, Relase Up

Revision 1.16  2002/02/10 15:28:56  depesz
adapterized

Revision 1.15  2002/01/18 02:14:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/23 12:37:30  qboosh
- s/Copyright/License/

Revision 1.13  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.12  2001/04/17 12:12:56  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/25 20:03:45  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.9  2001/01/19 01:54:44  kloczek
- spec adapterized and now %%{debug} ready.

Revision 1.8  2001/01/13 00:47:31  dobrek
-Removed .packlist from %files

Revision 1.7  2001/01/13 00:43:48  dobrek
-Req perl >=5.6; Realase=4;New rpm automat

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 23:12:37  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
